#include "../ftx/ftx.h"
#include "../ftx/filer.h"

/************************************************************************/
/* NAME      :int main()*/ 
/* FUNCTION  :ファイラーのメインルーチン*/ 
/*            */ 
/*            */ 
/*            */ 
/* RETURN    :なし*/
/************************************************************************/
int main(void)
{
	int i,j,k;
	int ret;
	char *vp;
	char *cret;

	LocalFiler *uf;

	/*
	signal(SIGINT,SIG_IGN);
	signal(SIGWINCH,resize);
	*/
	setlocale(LC_ALL,"");

	uf = new LocalFiler();

	initscr();
	cbreak();
	noecho();

	uf->bookmark();

	if((vp = getenv("HOME")) == NULL)
	{
		uf->sys_errmsg(4,10,"環境変数 HOME が設定されていません /home を使用します");
		sprintf(uf->homedirname,"/home");
	}
	else
	{
		sprintf(uf->homedirname,"%s",vp);
	}
	uf->max_lines = LINES;

	uf->readowner();
	uf->readgroup();
	cret = 	getcwd(uf->startdirname,256);

	i = j = k= 0;
	while(1)
	{
		ret = uf->filer(1,uf->max_lines);
	//	ret = uf->filer(1,max_lines);
		switch(ret)
		{
		case 0:
			goto end;
		default:
			break;
		}
	}
	end:
	endwin();
	printf("\n");
	return(0);
}

